import axios from 'axios';
import React, { useEffect, useState } from 'react'
import { Link } from 'react-router-dom';

export const MovieInfo = (props) => {
  let movId = props.match.params.id;
  let [item,setItem] = useState({})

  useEffect(() => {
    doApiInfo();
  },[])

  const doApiInfo = async() => {
    let id = props.match.params.id;
    let url = `https://www.omdbapi.com/?i=${id}&apikey=10257237`;
    let resp = await axios.get(url);
    console.log(resp.data);
    setItem(resp.data);
  }
  
  return (
    <div className="cotainer">
      <div className="col-lg-6 shadow p-3 mx-auto overflow-hidden">
        <img src={item.Poster} className="w-25 float-start me-2"/>
        <h2>{item.Title}</h2>
        <div>Score: {item.imdbRating}</div>
        <div>Votes count: {item.imdbVotes}</div>
        <div>Year: {item.Year}</div>
        <Link className="btn btn-dark mt-5" to="/">Back to movies list</Link>
      </div>
    </div>
  )
}
